Show / Hide Table of Contents

# Class EventType<TParams>

Defines an event type with a particular method name.

##### Inheritance

System.Object
EventType<TParams>

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Hosting.Protocol.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class EventType<TParams>

##### Type Parameters

Name | Description
--- | ---
TParams | The parameter type for this event.

### Properties

| Improve this Doc View Source

#### MethodName

Gets the method name for the event type.

##### Declaration

    public string MethodName { get; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

| Improve this Doc View Source

#### Create(String)

Creates an EventType instance with the given parameter type and method name.

##### Declaration

    public static EventType<TParams> Create(string methodName)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | methodName | The method name of the event.

##### Returns

Type | Description
--- | ---
EventType<TParams> | A new EventType instance for the defined type.